package com.hotwj.platform.resourceManagement.companyChangeHistory.service;

import com.hotwj.platform.resourceManagement.companyChangeHistory.domain.bo.HotCompanyChangeHistoryBo;
import com.hotwj.platform.resourceManagement.companyChangeHistory.domain.vo.HotCompanyChangeHistoryVo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 人员变更历史记录 Service 接口
 *
 * @author shihongwei
 */
public interface IHotCompanyChangeHistoryService {

    HotCompanyChangeHistoryVo queryById(Long id);

    TableDataInfo<HotCompanyChangeHistoryVo> queryPageList(HotCompanyChangeHistoryBo bo, PageQuery pageQuery);

    List<HotCompanyChangeHistoryVo> queryList(HotCompanyChangeHistoryBo bo);

    Boolean insertByBo(HotCompanyChangeHistoryBo bo);

    Boolean updateByBo(HotCompanyChangeHistoryBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
